CMSIS-Core (Cortex-A): Configuration Base Address Register (CBAR)

| CMSIS-Core (Cortex-A) Version 1.2.1 CMSIS-Core support for Cortex-A processor-based devices

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Content | Functions
Configuration Base Address Register (CBAR)
Core Register Access

Takes the physical base address value of the memory-mapped SCU peripherals at reset from the external signal PERIPHBASE[31:13]. More...

## Content

| CBAR Bits
| Bit position and mask macros.

## Functions

__STATIC_FORCEINLINE uint32_t | __get_CBAR (void)
| Get CBAR. More...

## Description

Bits | Name | Function
--- | --- | ---
[31:13] | PERIPHBASE | Peripheral base address.
[12:0] | - | Read as zero.

Consider __get_CBAR to access this register.

## Function Documentation

__STATIC_INLINE uint32_t __get_CBAR | ( | void |  | ) |

Returns
  Configuration Base Address register value

This function returns the value of the Configuration Base Address register.